cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
213
Views
0
Helpful
1
Replies
vmusalir
Cisco Employee

YModelError Value "G4.1" does not satisfy the constraint "1..2

We are using In YDK 0.8.5 .

Getting below error when requesting openconfig-platform:components RPC.

I attached log file 

Could you please check why this error is coming?

topology.connection.connexceptions.ReadError: YModelError  Value "G4.1" does not satisfy the constraint "1..2" (range, length, or pattern). Path: /openconfig-platform:components/component[name='0/0-Optics0/0/0/5']/openconfig-platform-transceiver:transceiver/state/vendor-rev

 

Thanks and Regards,

Venkata Sudhakar

1 REPLY 1
ygorelik
Cisco Employee

Hi Venkata

This is not YDK issue. The error says that your data are invalid. Here is definition of the 'vendor-rev' leaf:

    leaf vendor-rev {
      type string {
        length 1..2;
      }
      description
        "Transceiver vendor's revision number. 2-octet field that
        contains ASCII characters, left-aligned and padded on the

        right with ASCII spaces (20h)";
    }

Yan Gorelik

@cisco